commit:     ca556866b799cf28d3e33296c6c7320155db43ed
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 00:17:28 2022 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 01:28:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca556866

dev-python/pytest-shell-utilities: initial import

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/pytest-shell-utilities/Manifest         |  1 +
 dev-python/pytest-shell-utilities/metadata.xml     | 11 ++++++
 .../pytest-shell-utilities-1.0.5.ebuild            | 46 ++++++++++++++++++++++
 3 files changed, 58 insertions(+)

diff --git a/dev-python/pytest-shell-utilities/Manifest 
b/dev-python/pytest-shell-utilities/Manifest
new file mode 100644
index 000000000000..494f83b3252c
--- /dev/null
+++ b/dev-python/pytest-shell-utilities/Manifest
@@ -0,0 +1 @@
+DIST pytest-shell-utilities-1.0.5.tar.gz 89489 BLAKE2B 
9cd7f95c9c1691e19c320378d1c2a4e147cb6fdc35ec6f3c80dc288e70416fce67b60ac86427f1ad322b2c17de3cd762e483d63076fa291b4b7d22d7a29c9e45
 SHA512 
395107af9eaa13ef39d01858e1674b6dedddc2cf93b9aba61316fd8d847031e1b535cc3bf4f2899dbc7828609b7d45b500aad29bb47668be6e0453ac099e99e4

diff --git a/dev-python/pytest-shell-utilities/metadata.xml 
b/dev-python/pytest-shell-utilities/metadata.xml
new file mode 100644
index 000000000000..16b2592b889f
--- /dev/null
+++ b/dev-python/pytest-shell-utilities/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <name>Patrick McLean</name>
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">pytest-shell-utilities</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git 
a/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.0.5.ebuild 
b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.0.5.ebuild
new file mode 100644
index 000000000000..f0e89950df2c
--- /dev/null
+++ b/dev-python/pytest-shell-utilities/pytest-shell-utilities-1.0.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin: fixtures and code to help with running shell 
commands on tests"
+HOMEPAGE="
+       https://pypi.org/project/pytest-shell-utilities/
+       https://github.com/saltstack/pytest-shell-utilities
+"
+SRC_URI="https://github.com/saltstack/${PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+       dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+       dev-python/pytest-skip-markers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/wheel[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-subtests[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e "s/use_scm_version=True/version='${PV}'/" -i setup.py || die
+       sed -e "/setuptools_scm/ d" -i setup.cfg || die
+       sed -e "s/tool.setuptools_scm/tool.disabled/" -i pyproject.toml || die
+
+       printf '__version__ = "${PV}"\n' > src/pytestshellutils/version.py || 
die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to